Get a Client by id
curl --request GET \
--url https://{host}/timmi-project/api/v4/clients/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://{host}/timmi-project/api/v4/clients/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{host}/timmi-project/api/v4/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"code": "<string>",
"id": 123,
"externalCode": "<string>",
"owner": {
"id": 2,
"firstName": "<string>",
"lastName": "<string>",
"dtContractEnd": "<string>",
"picture": {
"href": "<string>"
},
"establishmentId": 2
}
}{
"type": "<string>",
"title": "<string>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": {}
}Clients
Get a Client by id
Retrieve a single client identified by its unique identifier.
GET
/
timmi-project
/
api
/
v4
/
clients
/
{id}
Get a Client by id
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Path Parameters
Identifier of the client.
Response
OK
A client must belong to a single organization [blocked].
The organizationId field is required upon creation (POST) and cannot be modified later.
Minimum string length:
1Unique code for this client. Used for identifying the client in invoices export if externalCode is null.
Minimum string length:
1Used for identifying the client in invoices exports. Is not subject to unicity.
Show child attributes
Show child attributes
Was this page helpful?
⌘I